## Apache Zeta Components Manual :: Docs For Class ezcPersistentManyToManyRelation

### PersistentObject::ezcPersistentManyToManyRelation

### Class ezcPersistentManyToManyRelation

Relation class to reflect a many-to-many table relation (m:n).

Source for this file: /PersistentObject/src/relations/many_to_many.php

    ezcPersistentRelation
       |
       --ezcPersistentManyToManyRelation

Version: | //autogen//

### Inherited Member Variables

From ezcPersistentRelation
protected | `ezcPersistentRelation::$properties`

### Method Summary

public static void | `__set_state( $state )` Sets the state after importing an exported object.
public ezcPersistentManyToManyRelation | `__construct( $sourceTable , $destinationTable , $relationTable )` Constructs a new many to many relation from the table $sourceTable to the table $destinationTable via $relationTable
protected void | `validateColumnMap( $columnMap )` Validates an ezcPersistentRelation::$columnMap property.

### Inherited Methods

From ezcPersistentRelation
public ezcPersistentRelation | `ezcPersistentRelation::__construct()` Create a new relation.
protected abstract void | `ezcPersistentRelation::validateColumnMap()` Validates an ezcPersistentRelation::$columnMap property.

### Methods

#### __set_state

static void __set_state( $state )

Sets the state after importing an exported object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$state` | array |

#### __construct

ezcPersistentManyToManyRelation __construct( string $sourceTable , string $destinationTable , string $relationTable )

Constructs a new many to many relation from the table $sourceTable to the table $destinationTable via $relationTable

##### Parameters:

Name | Type | Description
--- | --- | ---
`$sourceTable` | string |
`$destinationTable` | string |
`$relationTable` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentRelation::__construct()` | Create a new relation.

#### validateColumnMap

void validateColumnMap( $columnMap )

Validates an ezcPersistentRelation::$columnMap property.

Checks is the given array represents a valid $columnMap property. Column maps for this kind of relation may only contain instances of ezcPersistentDoubleTableMap and have to at least contain 1 instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$columnMap` | array | The column map to check.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | On an invalid column map.

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentRelation::validateColumnMap()` | Validates an ezcPersistentRelation::$columnMap property.

Documentation generated by phpDocumentor 1.4.3